/**
 * Core API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

export class ZonePublicRequest {
    public meta: object;

    public danger: boolean;

    public color: string;

    public name: string;

    public id: string;

    /**
     * Creates a ZonePublicRequest.
     *
     * @param {object} meta
     * @param {boolean} danger
     * @param {string} color
     * @param {string} name
     * @param {string} id
     */
    constructor(meta: object, danger: boolean, color: string, name: string, id: string) {
        this.meta = meta;
        this.danger = danger;
        this.color = color;
        this.name = name;
        this.id = id;
    }
}